Bug 485074 - xorg doesn't respect custom resolution set in xorg.conf
xorg doesn't respect custom resolution set in xorg.conf
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 09:28 EST by Daniel Mach
Modified: 2010-02-26 08:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 08:09:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2009-02-11 09:28:56 EST
I have Lenovo T60 with Radeon X1400 and a 'radeon' driver.
The 1280x960 is a standard VESA resolution, but is not supported by the driver by default (xrandr don't see it until it's added manually).

When I add these lines to xorg.conf, it doesn't work:

Section "Monitor"
...
        # these lines are taken from /usr/share/xorg/vesamodes
        # 1280x960 @ 60Hz (VESA) hsync: 60.0kHz
        ModeLine "1280x960"  108.0 1280 1376 1488 1800    960  961  964 1000 +hsync +vsync
...
EndSection

Section "Screen"
...
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes	"1280x960"
	EndSubSection
EndSection


The only workaround which actually works is to create ~/.Xclients and run startx:

xrandr --newmode 1280x960 108.0 1280 1376 1488 1800    960  961  964 1000 +hsync +vsync
xrandr --addmode LVDS 1280x960
xrandr -s 1280x960
fluxbox
Comment 1 Adam Williamson 2009-02-11 18:02:55 EST
RandR 1.2-based drivers don't actually use that method for setting a display mode in xorg.conf. There's a new syntax you have to use for RandR 1.2-based drivers.

http://wiki.debian.org/XStrikeForce/HowToRandR12

is a good reference for it. You want the "Forcing a preferred mode" sub-section of the "xorg.conf based configuration" section, I think.
Comment 2 Matěj Cepl 2009-02-12 15:06:33 EST
Any comments before I close it as NOTABUG?
Comment 3 Daniel Mach 2009-02-16 12:13:35 EST
Adding these lines to the Monitor (Identifier "Monitor0") section is not enough:
ModeLine "1280x960"  108.0 1280 1376 1488 1800    960  961  964 1000 +hsync +vsync
Option "PreferredMode" "1280x960"

You need to add this to the Device section:
Option "Monitor-LVDS" "Monitor0"

Then everything works fine.

Is this expected?
It looks like Monitor0 is for VGA-0 even for laptops, where this output is usually inactive. This is unfortunate, since most laptops have LVDS as a primary display.
Comment 4 Adam Williamson 2009-02-16 19:53:05 EST
I suspect this may be not a universal truth but dependent on the driver and even on your particular hardware implementation. IIRC, the RandR 1.2 system for handling heads and displays is fairly generic, and the driver handles the implementation details...
Comment 5 Bug Zapper 2009-06-09 07:16:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:21:55 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Matěj Cepl 2010-02-26 07:25:13 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 8 Daniel Mach 2010-02-26 08:09:27 EST
Based on comment#4 closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.